org.apache.ignite.internal.util.typedef

## Class CX3<E1,E2,E3,R>

- java.lang.Object
- - org.apache.ignite.internal.util.lang.GridClosure3X<E1,E2,E3,R>
  - - org.apache.ignite.internal.util.typedef.CX3<E1,E2,E3,R>

Type Parameters:
  `E1` - Type of the first free variable, i.e. the element the closure is called or closed on.
  `E2` - Type of the second free variable, i.e. the element the closure is called or closed on.
  `E3` - Type of the third free variable, i.e. the element the closure is called or closed on.
  `R` - Type of the closure's return value.

All Implemented Interfaces:
  GridClosure3<E1,E2,E3,R>

    public abstract class CX3<E1,E2,E3,R>
    extends GridClosure3X<E1,E2,E3,R>

Defines `alias` for `GridClosure3X` by extending it. Since Java doesn't provide type aliases (like Scala, for example) we resort to these types of measures. This is intended to provide for more concise code in cases when readability won't be sacrificed. For more information see `GridClosure3X`.

See Also:
  `GridFunc`, `GridClosure3X`

### Constructor Summary

Constructors
Constructor and Description
`CX3()`

### Method Summary

### Methods inherited from class org.apache.ignite.internal.util.lang.GridClosure3X

`apply, applyx`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CX3

    public CX3()

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.4.0
Release Date | : March 5 2018